PDA

View Full Version : A question about libraries my application depends on



Hogwarts
19th September 2012, 16:57
Hello
I'm using the ldd tool to find out which libraries my application depends on, but I am surprised that it does not show libQtXml.so, since I'm usin QtXml module in my project.


QT += core sql xml

QT -= gui

TARGET = sqldemon
CONFIG += console
CONFIG -= app_bundle

TEMPLATE = app


SOURCES += main.cpp \
executor.cpp

HEADERS += \
executor.h

the ldd tool show the following lines:


linux-gate.so.1 => (0xb7712000)
libQtSql.so.4 => /usr/lib/i386-linux-gnu/libQtSql.so.4 (0xb76be000)
libQtCore.so.4 => /usr/lib/i386-linux-gnu/libQtCore.so.4 (0xb73e1000)
libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xb72fb000)
libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xb72dd000)
libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xb7138000)
libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xb711d000)
libz.so.1 => /lib/i386-linux-gnu/libz.so.1 (0xb7107000)
libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xb7101000)
librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xb70f8000)
libglib-2.0.so.0 => /lib/i386-linux-gnu/libglib-2.0.so.0 (0xb6fff000)
libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xb6fd3000)
/lib/ld-linux.so.2 (0xb7713000)
libpcre.so.3 => /lib/i386-linux-gnu/libpcre.so.3 (0xb6f97000)

I'm deploying a Qt non GUI application, I know every thing is fine about libraries, because I'm using a startup script for my application, just as it appears in QtAssistant, but when a run the program I get the following error, and I think it may be related to the question of the thread:


undefined symbol: _ZN16QCoreApplicationC1ERiPPci

I'm using Qt 4.8.1 on Ubuntu 12.04 32bits.

Any help is welcome
Sorry my English and thanks in advanced